:root {
    --color-primary: #eba061;
  --color-primary-light: #ffebda;
  --color-primary-dark: #de9b63;
  --color-primary-gradient: linear-gradient(321deg, #ffc594 0%, #f4ae73 69.68%);
  --color-text-dark-secondary: #212121;
  --color-text-light: #ffffff;
  --primary-color: #de9b63;
  --primary-light: #f4ae73;
  --primary-bg: #ffebda;
  --text-dark: #212121;
  --text-light: #747474;
  --white: #ffffff;
  --black: #000000;
  --font-poppins: 'Poppins', sans-serif;
}

* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Poppins', sans-serif;
  background-color: var(--white);
  color: var(--text-dark);
  margin: 0;
  overflow-x: hidden;
}

.page-wrapper {
  max-width: 1440px;
  margin: 0 auto;
  position: relative;
}


.container {
  width: 100%;
  max-width: 1240px;
  margin: 0 auto;
  padding: 0;
}



h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
  text-wrap: balance;
}

p {
  text-wrap: balance;
  max-width: 640px;
}

a {
  text-decoration: none;
  color: inherit;
}

ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

button,
.btn {
  cursor: pointer;
  border: none;
  font-family: 'Poppins', sans-serif;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

.section-title {
  font-size: 3rem;
  font-weight: 700;
  line-height: 72px;
  color: var(--text-dark);
}

.text-md {
  font-size: 18px;
  font-weight: 400;
  line-height: 36px;
  color: var(--text-light);
}


/* Прогресс-бар */
.progress-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 4px;
  background: rgba(255, 255, 255, 0.1);
  z-index: 1000;
  backdrop-filter: blur(10px);
}

.progress-bar {
  height: 100%;
  background: var(--primary-light);
  width: 0%;
  transition: width 0.1s ease;
  /* box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2); */
}


.hero-subtitle{
  white-space: pre-line;
}


@media (max-width: 1200px) {
  .container {
    padding: 0;
  }

  .hero-container {
    padding-left: 4rem;
  }

  .header-container {
    padding-inline: 4rem;
  }

}

@media (max-width: 1024px) {

  .header-container {
    padding-inline: 5rem;
  }

}

@media (max-width: 768px) {
  .section-title {
    font-size: 36px;
    line-height: 1.3;
    text-align: center;
  }

  .text-md {
    font-size: 1rem;
    line-height: 1.6;
  }

  .header-container {
    padding-inline: 2rem;
  }
}

@media (max-width: 480px) {

  .header-container {
    padding-inline: 1rem;
  }

}
